package digital.laboratory.platform.identifybook.controller;


import com.alibaba.cloud.commons.lang.StringUtils;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import digital.laboratory.platform.common.core.util.R;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.identifybook.entity.TaskNotification;
import digital.laboratory.platform.identifybook.req.TaskNotificationREQ;
import digital.laboratory.platform.identifybook.service.ITaskNotificationService;
import digital.laboratory.platform.identifybook.vo.TaskNotificationVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.security.oauth2.provider.OAuth2Authentication;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.security.Principal;

/**
 * <p>
 * 任务信息表 前端控制器
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-08-31
 */
@RestController
@RequiredArgsConstructor
@Api(tags = "审核审批签发-相关接口")
@RequestMapping("/book/taskNotification")
public class TaskNotificationController {

    private final ITaskNotificationService taskNotificationService;

    @ApiOperation(value = "根据条件分页查询任务/任务记录列表", notes = "根据条件分页查询任务/任务记录列表")
    @PostMapping("/findTaskNotification")
    public R<IPage<TaskNotificationVO>> findTaskNotification(@RequestBody TaskNotificationREQ req, HttpServletRequest theHttpServletRequest){
        // 获取当前登录用户信息
        Principal principal = theHttpServletRequest.getUserPrincipal();
        DLPUser dlpUser = (DLPUser) ((OAuth2Authentication) principal).getUserAuthentication().getPrincipal();
        IPage<TaskNotificationVO> page = taskNotificationService.queryTaskNotificationPage(req, dlpUser);
        return R.ok(page);
    }

}
