package digital.laboratory.platform.identifybook.dto;

import digital.laboratory.platform.identifybook.entity.Entrustment;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023/5/25 15:27
 */

@Data
@ApiModel(value = "EntrustmentDTO对象", description = "封装委托相关属性")
public class EntrustmentDTO extends Entrustment {

    @ApiModelProperty(value = "案件编号")
    private String caseNo;

    @ApiModelProperty(value = "案件名称任务名称")
    private String caseName;

    @ApiModelProperty(value = "案情简要")
    private String caseBrief;

    @ApiModelProperty(value = "鉴定文书年份")
    private String year;

    @ApiModelProperty(value = "鉴定文书序号")
    private String serialNumber;

    @ApiModelProperty(value = "鉴定文书业务状态（-1：待制作，0：已制作/重新制作，1：鉴定文书-提交审核，2：鉴定文书-审核通过），-2：鉴定文书-审核未通过，3：鉴定文书-审核退回修改，4：鉴定文书-审批签发成功，-4：鉴定文书-审批拒绝签发，5：鉴定文书-审批签发退回修改")
    private Integer bookStatus;

    @ApiModelProperty(value = "鉴定人")
    private String appraisalUserName;

    @ApiModelProperty(value = "鉴定开始时间")
    private String inspectionStartDate;

    @ApiModelProperty(value = "鉴定结束时间")
    private String finishDate;

    @ApiModelProperty("补送集合")
    private List<EntrustmentDTO> children;


}
