package digital.laboratory.platform.identifybook.dto;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 领取鉴定文书相关信息
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-08-30
 */
@Data
@ApiModel(value="ReceiveIdentifyBookDTO对象", description="领取鉴定文书相关信息")
public class ReceiveIdentifyBookDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "委托ID")
    private String entrustId;

    /**
     * 业务类型: 0=毒品鉴定 1=.....用于对应到各个检验小组
     */
    @ApiModelProperty(value="业务类型: 0=毒品鉴定 1=.....用于对应到各个检验小组")
    private Integer businessType;

    @ApiModelProperty(value = "领取ID")
    private String receiveId;

    @ApiModelProperty(value = "领取方式")
    private String receiveWay;

    @ApiModelProperty(value="邮寄地址")
    private String postAddress;

    @ApiModelProperty(value = "领取人ID")
    private String recipientsUserId;

    @ApiModelProperty(value = "领取人姓名")
    private String recipientsUserName;

    @ApiModelProperty(value = "领取时间")
    private Date recipientsTime;

    @ApiModelProperty(value = "经办人ID")
    private String operatorUserId;

    @ApiModelProperty(value = "经办人姓名")
    private String operatorUserName;

    @ApiModelProperty(value="案件编号")
    private String caseNo;

    @ApiModelProperty(value="受理编号")
    private String acceptNo;

    @ApiModelProperty(value="第三方系统(如现勘系统、案事件系统)编号")
    private String thirdPartySysNo;

    @ApiModelProperty(value="案件名称任务名称")
    private String caseName;

    @ApiModelProperty(value="送检人1姓名")
    private String deliverer1Name;

    @ApiModelProperty(value="送检人2姓名")
    private String deliverer2Name;

    @ApiModelProperty(value="送检日期")
    private LocalDateTime deliverTime;

    @ApiModelProperty(value="受理时间")
    @JsonFormat(pattern = "yyyy年MM月dd日", timezone = "GMT+8")
    private LocalDateTime acceptTime;

    @ApiModelProperty(value="检验项目")
    private String identificationDomain;

    @ApiModelProperty(value="检材数量")
    private Integer sampleNum;

    @ApiModelProperty(value="领取/发放状态（1：待发放，2：已发放）")
    private Integer status;

    @ApiModelProperty(value="原始系统中的委托ID")
    private String synEntrustId;

    @ApiModelProperty(value = "鉴定文书业务状态（-1：待制作，0：已制作/重新制作，1：鉴定文书-提交审核，2：鉴定文书-审核通过），-2：鉴定文书-审核未通过，3：鉴定文书-审核退回修改，4：鉴定文书-审批签发成功，-4：鉴定文书-审批拒绝签发，5：鉴定文书-审批签发退回修改，6：鉴定文书-已领取")
    private Integer bookStatus;
}
