package digital.laboratory.platform.identifybook.emums;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 *  业务状态枚举
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023/5/12 16:20
 */
@Getter
@AllArgsConstructor
@ApiModel("业务状态")
public enum BusinessStatus {
    JD_WS_YZZ("0", "已制作/重新制作鉴定文书"),
	/** START 鉴定文书审核/审批/签发 **/
    JD_WS_TJ_SH("1","鉴定文书-提交审核"),
    JD_WS_SH_TG("2","鉴定文书-审核通过"),
    JD_WS_SH_WTG("-2","鉴定文书-审核未通过"),
    JD_WS_SH_TH_XG("3","鉴定文书-审核退回修改"),
    
    JD_WS_SP_QF_TG("4","鉴定文书-审批签发成功"),
    JD_WS_SP_QF_WTG("-4","鉴定文书-审批签发拒绝"),
    JD_WS_SP_QF_TH_XG("5","鉴定文书-审批签发退回修改"),

    JD_WS_YLQ("6","鉴定文书-已领取"),
	/** END 年度人员培训计划-提交/审核/审批业务状态 **/

    /** START 鉴定文书修改/补充申请业务状态 **/
    JD_WS_XG_BC_SQ("1","鉴定文书-提交修改补充申请"),
    JD_WS_XG_BC_SH_TG("2","鉴定文书-修改补充-审核通过"),
    JD_WS_XG_BC_SH_WTG("-2","鉴定文书-修改补充-审核未通过"),
    JD_WS_XG_BC_SP_TG("3","鉴定文书-修改补充-审批通过"),
    JD_WS_XG_BC_SP_WTG("-3","鉴定文书-修改补充-审批不通过"),
    JD_WS_XG_BC_SH_YJ_CX_ZZ("7","收回原件，重新出具鉴定文书"),
    /** END 鉴定文书修改/补充申请业务状态 **/
    ;

    private final String code;
	private final String desc;

	public static BusinessStatus findEnumByCode(String code) {
		for (BusinessStatus status : BusinessStatus.values()) {
			if (status.code.equals(code)) {
				return status;
			}
		}
		throw new IllegalArgumentException("code is not support");
	}
}
