package digital.laboratory.platform.identifybook.emums;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 *  定性/定量分析枚举
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023/5/26 10:40
 */
@Getter
@AllArgsConstructor
@ApiModel("业务状态")
public enum IdentifyRequireEnum {

    QUALITATIVE_ANALYSIS(1, "对送检检材进行 ”定性“ 检测"),
    QUANTITATIVE_ANALYSIS(2, "对送检检材进行 ”定量“ 检测"),
    QUANTITATIVE_ANALYSIS_QUANTITATIVE_ANALYSIS(3, "对送检检材进行 ”定性,定量“ 检测"),
    RELEVANCE(4, "对送检检材进行 ”关联性“ 检测"),
    OTHER(5, "其它")
    ;

    private final Integer code;
    private final String desc;

    public static IdentifyRequireEnum findEnumByCode(Integer code) {
        for (IdentifyRequireEnum requireEnum : IdentifyRequireEnum.values()) {
            if (requireEnum.code.equals(code)) {
                return requireEnum;
            }
        }
        throw new IllegalArgumentException("code is not support");
    }
}
