package digital.laboratory.platform.identifybook.emums;

import lombok.Getter;

/**
 * 重量/体积单位 枚举
 */
@Getter
public enum UnitEnums {

    UNIT_SOLID_G("g", "克"),

    UNIT_SOLID_MG("mg", "毫克"),

    UNIT_SOLID_KG("kg", "公斤"),

    UNIT_LIQUID_L("l", "升"),

    UNIT_LIQUID_ML("ml", "毫升"),
    ;

    private final String code;

    private final String desc;

    UnitEnums(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    // 根据单位获取单位描述，没有就返回原先的字符
    public static String fromUnit(String code) {
        for (UnitEnums unitEnums : values()) {
            if (unitEnums.getCode().equals(code)) {
                return unitEnums.getDesc();
            }
        }
        return code;
    }
}
