package digital.laboratory.platform.identifybook.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 委托与实验关系
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName(value = "b_entrustment_bundle", autoResultMap = true)
@ApiModel(value="BEntrustmentBundle对象", description="委托与实验关系")
public class EntrustmentBundle implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "entrustment_id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value="选中的实验, 实验id的json数组")
    @TableField(typeHandler = FastjsonTypeHandler.class)
    private List<String> selectedExperiment;

    @ApiModelProperty(value = "审核审批结果: null=未审, 0=审核审批未通过, 1=审核审批已通过")
    private Boolean approvalResult;

    @ApiModelProperty(value = "提交给文书系统的日期")
    private Date submitDate;

    @ApiModelProperty(value = "状态: 0=刚创建, 1=已提交给文书系统, 2=文书审核审批通过, 3=已通知委托系统")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    private String updateBy;


}
