package digital.laboratory.platform.identifybook.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 检验方法
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("examination_methods")
@ApiModel(value="ExaminationMethods对象", description="检验方法")
public class ExaminationMethods implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "方法实体类id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "方法名")
    private String methodName;

    @ApiModelProperty(value = "方法依据")
    private Integer methodBasis;

    @ApiModelProperty(value = "方法英文名")
    @TableField("method_English_name")
    private String methodEnglishName;

    @ApiModelProperty(value = "标准号")
    private String standardNumber;

    @ApiModelProperty(value = "发布单位")
    private String publishingUnit;

    @ApiModelProperty(value = "发布时间")
    private Date publishingTime;

    @ApiModelProperty(value = "其他依据")
    private String others;

    @ApiModelProperty(value = "实施时间")
    private Date implementTime;

    @ApiModelProperty(value = "适用范围")
    private String suitRange;

    @ApiModelProperty(value = "规范性引用文件")
    private String normativeReferences;

    @ApiModelProperty(value = "术语和定义")
    private String termAndDefinition;

    @ApiModelProperty(value = "原理")
    private String principle;

    @ApiModelProperty(value = "方法当前状态")
    private Integer methodStatus;

    @ApiModelProperty(value = "方法类型(标准/非标准)")
    private Integer methodType;

    @ApiModelProperty(value = "试剂")
    private String reagent;

    @ApiModelProperty(value = "仪器和设备")
    private String instrumentsAndEquipment;

    @ApiModelProperty(value = "定量结果评价")
    private String quantitativeResultEvaluation;

    @ApiModelProperty(value = "操作方法")
    private String operationMethod;

    @ApiModelProperty(value = "指导书id")
    private String guidelinesId;

    @ApiModelProperty(value = "结果表述")
    private String expressionOfResults;

    @ApiModelProperty(value = "评审时间")
    private Date reviewTime;

    @ApiModelProperty(value = "评审人")
    private String reviewer;

    @ApiModelProperty(value = "评审结果")
    private Integer reviewResults;

    @ApiModelProperty(value = "评审意见")
    private String reviewOpinion;

    @ApiModelProperty(value = "创建时间--录入时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人--录入人")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "附件url")
    private String annexUrl;

    @ApiModelProperty(value = "附件名称")
    private String annexName;


}
