package digital.laboratory.platform.identifybook.entity;

import lombok.Data;

/**
 * 检材的附加属性
 */
@Data
public class IMAdditionalProperty {
	String propertyName;    // 中文名称: 体积、重量、性状、颜色、品牌、型号、密码等等
	String quantity;        // 重量、体积等等的量值, 或型号、密码的值
	String unit;            // 仅对有计量单位的属性, 如: 克、毫克、升等等, 品牌、型号、密码等属性没有单位

	public IMAdditionalProperty() {

	}
	public IMAdditionalProperty(String propertyName, String quantity, String unit) {
		this.propertyName = propertyName;
		this.quantity = quantity;
		this.unit = unit;
	}
}