package digital.laboratory.platform.identifybook.entity;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 样本的状态
 * 这个字段主要设想为页面显示时可以看见样本的动向
 */
@Getter
@RequiredArgsConstructor
public enum IMTSampleStatus {

    OUTBOUND(1,"未入库"),//出库

    INBOUND(2,"已入库"),

    TRANSFER(4,"流转中"),//流转中

    UNDER_INSPECTION(6,"检验中"),

    TO_BE_DESTROYED(7,"审核通过待销毁"),

    DESTROYED(8,"已销毁"),

    COLLECTING(9,"领用出库中"),


    RETURN_OUT(10,"已经退还出库"),

    RELEASE(11,"已发布销毁公示,待出库销毁"),
    APPLY(12,"申请中"),


    IDENTIFYING(13,"检验中"),
    IDENTIFIED(14,"检验结束");



    @EnumValue//标记数据库存的值是status
    private final int status;
    @JsonValue//标记返回前端字段
    private final String description;
}
