package digital.laboratory.platform.identifybook.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;

import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 鉴定表,一个鉴定可能会有多个委托
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-05-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_identification")
@ApiModel(value="Identification对象", description="鉴定表,一个鉴定可能会有多个委托")
public class Identification extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    private String id;

    @ApiModelProperty(value = "鉴定号,受理号")
    private String identificationNo;

    @ApiModelProperty(value = "状态: 0=鉴定中,-1=已终止, 1=已结束")
    private Integer status;




}
