package digital.laboratory.platform.identifybook.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 鉴定文书消息表
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-05-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_identify_book")
@ApiModel(value="IdentifyBook对象", description="鉴定文书消息表")
public class IdentifyBook extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "鉴定文书消息ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "父ID")
    private String identifyBookRelevanceId;

    @ApiModelProperty(value = "文件桶")
    private String bucketName;

    @ApiModelProperty(value = "鉴定文书路径")
    private String path;

    @ApiModelProperty(value = "鉴定文书文件名（文件名命名贵州：鉴定文书 + 业务数据编号 + 版本号） ")
    private String fileName;

    @ApiModelProperty(value = "鉴定文书版本号（示例：v1.0、v1.1）")
    private String version;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "制作或修改人")
    @TableField(exist = false)
    private String operateUserName;


}
