package digital.laboratory.platform.identifybook.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;
import java.io.Serializable;

import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 鉴定文书审批表
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-05-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_identify_book_approve")
@ApiModel(value="IdentifyBookApprove对象", description="鉴定文书审批表 ")
public class IdentifyBookApprove extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "鉴定文书审核审批表ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "业务ID")
    private String relevanceBusinessId;

    @ApiModelProperty(value = "年")
    private String year;

    @ApiModelProperty(value = "序号")
    private String serialNumber;

    @ApiModelProperty(value = "附件类型集合（1：检验记录（含原始记录，检验图表）、2：鉴定事项确认书、3：鉴定委托书或鉴定聘请书、4：检材照片、5：送检人证件复印件、6：原鉴定文书）注：选择多个示例（1,2,...）其中”,“是英文")
    private String annexType;

    @ApiModelProperty(value = "文书类型：（1：检验报告，2：其它）注：选择多个示例（1,2,...）其中”,“是英文")
    private String bookType;

    @ApiModelProperty(value = "检验报告数量（单位: 份）")
    private Integer inspectionReportNumber;

    @ApiModelProperty(value = "其它数量（单位：份）")
    private Integer otherNumber;

    @ApiModelProperty(value = "是否合格（1：检验方法、2：检验过程、3：检验图谱、4：检验结果）注：选择多个示例（1,2,...）其中”,“是英文")
    private String isQualified;

    @ApiModelProperty(value = "审核人ID")
    private String processUserBy;

    @ApiModelProperty(value = "审核人")
    private String processUserName;

    @ApiModelProperty(value = "审核时间")
    private Date processTime;

    @ApiModelProperty(value = "审核意见")
    private String processMessage;

    @ApiModelProperty(value = "审批人ID")
    private String approveUserBy;

    @ApiModelProperty(value = "审批人")
    private String approveUserName;

    @ApiModelProperty(value = "审批时间")
    private Date approveTime;

    @ApiModelProperty(value = "审批意见")
    private String approveMessage;

    @ApiModelProperty(value = "鉴定文书审批记录文件路径")
    private String path;

    @ApiModelProperty(value = "鉴定文书文件名（文件名命名规则：鉴定文书 + 版本号 + 文件类型） ")
    private String fileName;

    @ApiModelProperty(value = "版本号")
    private String version;

    @ApiModelProperty(value = "备注")
    private String remarks;


}
