package digital.laboratory.platform.identifybook.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.sql.Blob;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 鉴定文书修改补充申请表
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-05-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_modify_supplement_apply")
@ApiModel(value="ModifySupplementApply对象", description="鉴定文书修改补充申请表")
public class ModifySupplementApply implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "鉴定文书修改补充申请ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "年")
    private String year;

    @ApiModelProperty(value = "流水号")
    private String serialNumber;

    @ApiModelProperty(value = "委托ID", required = true)
    private String entrustmentId;

    @ApiModelProperty(value = "委托人ID")
    private String entrustBy;

    @ApiModelProperty(value = "申请时间")
    private Date applyTime;

    @ApiModelProperty(value = "申请人id")
    private String applyBy;

    @ApiModelProperty(value = "修改人")
    private String updateBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改原因")
    private String updateReason;

    @ApiModelProperty(value = "修改内容")
    private String updateContent;

    @ApiModelProperty(value = "委托人签名")
    private Blob entrustBySign;

    @ApiModelProperty(value = "委托人签名日期")
    private Date entrustBySignDate;

    @ApiModelProperty(value = "修改方式（1：修改存档文件、2：收回原件，重新出具鉴定文书）")
    private Integer updateWay;

    @ApiModelProperty(value = "修改人签字")
    private Blob updateBySign;

    @ApiModelProperty(value = "修改人签字日期")
    private Date updateBySignDate;

    @ApiModelProperty(value = "业务状态（1：鉴定文书-提交修改补充申请，2：鉴定文书-修改补充-审核通过，-2：鉴定文书-修改补充-审核未通过，3：鉴定文书-修改补充-审批通过，-3：鉴定文书-修改补充-审批不通过）")
    private Integer status;

    @ApiModelProperty(value = "授权人签字")
    private Blob empowerBySign;

    @ApiModelProperty(value = "授权人签字日期")
    private Date empowerBySignDate;

    @ApiModelProperty(value = "授权签字人意见")
    private String empowerBySignOpinion;

    @ApiModelProperty(value = "技术人员签字")
    private Blob technologyBySign;

    @ApiModelProperty(value = "技术人员签字日期")
    private Date technologyBySignDate;

    @ApiModelProperty(value = "技术人员签字意见")
    private String technologyBySignOpinion;

    @ApiModelProperty(value = "鉴定文书修改/申请文件路径")
    private String path;

    @ApiModelProperty(value = "鉴定文书修改/申请文件名（文件名命名规则：鉴定文书 + 文件类型） ")
    private String fileName;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "委托人姓名")
    private String entrustUserName;

}
