package digital.laboratory.platform.identifybook.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 领取鉴定文书信息表
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-08-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_receive_identify_book")
@ApiModel(value="ReceiveIdentifyBook对象", description="领取鉴定文书信息表")
public class ReceiveIdentifyBook implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "领取ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "关联业务ID")
    private String relevanceBusinessId;

    @ApiModelProperty(value = "领取方式")
    private String receiveWay;

    @ApiModelProperty(value="邮寄地址")
    private String postAddress;

    @ApiModelProperty(value = "领取人ID")
    private String recipientsUserId;

    @ApiModelProperty(value = "领取人姓名")
    private String recipientsUserName;

    @ApiModelProperty(value = "领取人时间")
    private Date recipientsTime;

    @ApiModelProperty(value = "经办人ID")
    private String operatorUserId;

    @ApiModelProperty(value = "经办人姓名")
    private String operatorUserName;


}
