package digital.laboratory.platform.identifybook.entity;

import cn.hutool.core.date.DateUtil;
import lombok.Data;

// 本类的实例对应 Entrustment 对象中的 ProcessInfo 字段。
@Data
public class UpdateInfo {
	String userId;
	String userName;
	String orgId;
	String orgName;

	// @JsonDeserialize(using = LocalDateTimeDeserializer.class)
	// @JsonSerialize(using = LocalDateTimeSerializer.class)
	//@JSONField(format ="yyyy-MM-dd HH:mm:ss")
	//LocalDateTime processTime;
	String processTime;     // 如果使用 LocalDateTime 类型, 序列化和反序列化的时候老是有格式转换的错误, 我们其实对内容不需要再加工, 直接保存字符串算了

	String operation;          // 动作, 例如: 录入、审核、审批 等
	Integer opCode;             // 动作码, 通常: 1=通过, -1=拒绝

	public UpdateInfo() {
	}

	public UpdateInfo(String userId,
                      String userName,
                      String orgId,
                      String orgName,
                      String operation,
                      Integer opCode) {
		this.userId = userId;
		this.userName = userName;
		this.orgId = orgId;
		this.orgName = orgName;
		this.processTime = DateUtil.now();
		this.operation = operation;
		this.opCode = opCode;
	}

}
