package digital.laboratory.platform.identifybook.event;

import lombok.Getter;
import org.springframework.context.ApplicationEvent;

import java.time.Clock;
import java.util.Set;

/**
 * 推送数据到LabsCare 数据平台上的spring 事件
 */
@Getter
public class PushDataToLabsCareEvent extends ApplicationEvent {

    /**
     * 委托id
     */
    private final String entrustId;

    /**
     * 推送的数据类型， 1 鉴定委托书数据 | 2 鉴定事项确认书数据 |  3 生物检材定性记录报告数据 | 4 普通检材定性记录非红外报告数据
     * 5 鉴定报告审批表数据 | 6 定性报告数据 | 7 归档报告信息数据
     */
    private final Set<Integer> pushType;

    public PushDataToLabsCareEvent(Object source, String entrustId, Set<Integer> pushType) {
        super(source);
        this.entrustId = entrustId;
        this.pushType = pushType;
    }

    public PushDataToLabsCareEvent(Object source, Clock clock, String entrustId, Set<Integer> pushType) {
        super(source, clock);
        this.entrustId = entrustId;
        this.pushType = pushType;
    }


}
