package digital.laboratory.platform.identifybook.service;

import digital.laboratory.platform.identifybook.dto.EntrustCaseDTO;
import digital.laboratory.platform.identifybook.entity.IdentifyBook;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.identifybook.entity.ResultEntrustmentQualitative;
import digital.laboratory.platform.identifybook.entity.ResultEntrustmentRation;
import digital.laboratory.platform.identifybook.vo.QualitativeTestResultVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 鉴定文书消息表 服务类
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-05-22
 */
public interface IIdentifyBookService extends IService<IdentifyBook> {


    IdentifyBook getMaxVersionIdentifyBook(String fkId);
    //检验结果的描述方式--文字描述--定性分析
    Map<String,List<QualitativeTestResultVo>> buildTestResultQualitativeVo(List<ResultEntrustmentQualitative> resultEntrustmentQualitativeList);
    List<String> testResultRationDes(List<ResultEntrustmentRation> resultEntrustmentRationList);
    String rationCodeToZhCn(List<ResultEntrustmentRation> resultEntrustmentRationList);
    String qualitativeCodeToZhCn(List<ResultEntrustmentQualitative> resultEntrustmentQualitativeList);
    /**
     * 生成鉴定报告
     *
     * @param entrustId
     * @return
     */
    EntrustCaseDTO buildIdentifyBook(String entrustId) throws Exception;

    //上传鉴定归档资料
    List<String> uploadIdentifyBookAttachment(String attachType, List<MultipartFile> attachFileList,String businessId);
    //获取手动上传的文书附件
    String getAttachment(String businessId,String attachType);

    String mergeWord(String entrustId) throws Exception;
}
