package digital.laboratory.platform.identifybook.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.identifybook.entity.TaskNotification;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.identifybook.req.TaskNotificationREQ;
import digital.laboratory.platform.identifybook.vo.TaskNotificationVO;

/**
 * <p>
 * 任务信息表 服务类
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-08-31
 */
public interface ITaskNotificationService extends IService<TaskNotification> {
    /**
     * 审核审批任务统计
     * @param dlpUser 当前用户消息
     * @return Object
     */
    long countRWSum(DLPUser dlpUser);

    /**
     * 分页查询
     *
     * @param req
     * @param dlpUser
     * @return
     */
    IPage<TaskNotificationVO> queryTaskNotificationPage(TaskNotificationREQ req, DLPUser dlpUser);
}
